# dkim_set_trust_anchor()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_set_trust_anchor(
    	DKIM_LIB *lib,
            char *tafile);
    );

Sets the path to a local trust anchor file, used when doing DNSSEC evaluations.

DESCRIPTION

Called When | `dkim_set_trust_anchor()` can be called at any time after initializing the library with `dkim_init()` but prior to any DNS operations done during verifying.

ARGUMENTS

Argument | Description
--- | ---
lib | Library-specific context handle created by a call to `dkim_init()`.
tafile | A pointer to a character string identifying the trust anchor file to be used when performing DNSSEC queries.

RETURN VALUES

- DKIM_STAT_OK -- success
- DKIM_STAT_INVALID -- the trust anchor file could not be used
- DKIM_STAT_NOTIMPLEMENT -- the underlying DNS system used when the library was compiled did not have DNSSEC support

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.